function [U_,X_,Y_,T_] = ejemplo1
    fprintf('Ejemplo 1 de ecuacin de ondas\n');
    fprintf('Simula tirar una piedra en el agua\n');


    xmin = -25; xmax = 25; dx = 1;
    ymin = -25; ymax = 25; dy = 1;
    tmax = 100;  dt = 0.1;

    c = -1;
    while c <= 0 || c > 7
        fprintf('Introduzca un valor para c entre 0 y 7\n');
        c = input('>');
    end
    fprintf('\nCalculando U(x,y,t)\n');

    %g = inline('9 - 0.1*(x-2)^3 - 0.1*(y-1)^3');
    g = inline('-exp(-((x)^2+(y+5)^2)/4)');

    U0 = zeros(length([xmin:dx:xmax]),length([ymin:dy:ymax]));

    [U,X,Y,T] = ecuacion_ondas_2d(xmin,xmax,dx,ymin,ymax,dy,tmax,dt,c,g,U0);

    video_ondas_2d(U,X,Y,T,2,'cyan');

    %devolvemos U slo si nos lo piden (U ocupa ~20Mb!)
    if nargout > 0
        U_ = U;
	X_ = X;
	Y_ = Y;
	T_ = T;
    end
return
