
function [U_,X_,Y_,T_] = ejemplo_calor1
    fprintf('Ejemplo 1 de ecuacin del calor\n');
    fprintf('Simula tirar una piedra en el agua\n');


    xmin = -15; xmax = 15; dx = 1;
    ymin = -15; ymax = 15; dy = 1;
    tmax = 100;  dt = 0.1;

    alfa = -1;
    while alfa <= 0 || alfa > 10
        fprintf('Introduzca un valor para alfa entre 0 y 1\n');
        alfa = input('>');
    end
    fprintf('\nCalculando U(x,y,t)\n');

    %g = inline('9 - 0.1*(x-2)^3 - 0.1*(y-1)^3');
    g = inline('20*exp(-((x)^2+(y+5)^2)/20) -5');
    U0 = evalua_funcion(g,[xmin:dx:xmax],[ymin:dy:ymax]);

%    U0 = zeros(length([xmin:dx:xmax]),length([ymin:dy:ymax])) + 10;

    [U,X,Y,T] = ecuacion_calor_2d(xmin,xmax,dx,ymin,ymax,dy,tmax,dt,alfa,U0);

    video_ondas_2d(U,X,Y,T,2);

    %devolvemos U slo si nos lo piden (U ocupa ~20Mb!)
    if nargout > 0
        U_ = U;
	X_ = X;
	Y_ = Y;
	T_ = T;
    end
return
