function [U_,X_,Y_,T_] = ejemplo2
    fprintf('Ejemplo 2 de ecuacin de ondas\n');


    xmin = -22; xmax = 22; dx = 1;
    ymin = -22; ymax = 22; dy = 1;
    tmax = 100;  dt = 0.1;

    c = -1;
    while c <= 0 || c > 7
        fprintf('Introduzca un valor para c entre 0 y 7\n');
        c = input('>');
    end
    fprintf('\nCalculando U(x,y,t)\n');

    %g = inline('9 - 0.1*(x-2)^3 - 0.1*(y-1)^3');
    g = inline('0*x + 0*y');

    U0 = ones(length([xmin:dx:xmax]),length([ymin:dy:ymax]));

    [U,X,Y,T] = ecuacion_ondas_2d(xmin,xmax,dx,ymin,ymax,dy,tmax,dt,c,g,U0);

    video_ondas_2d(U,X,Y,T,2,'green');

    if nargout > 0
        U_ = U;
	X_ = X;
	Y_ = Y;
	T_ = T;
    end
return
